org.apache.sling.maven.slingstart

## Class JarArchiverHelper

- java.lang.Object
- - org.apache.sling.maven.slingstart.JarArchiverHelper

    public class JarArchiverHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JarArchiverHelper(org.codehaus.plexus.archiver.jar.JarArchiver archiver, org.apache.maven.project.MavenProject project, File destFile)`
`JarArchiverHelper(org.codehaus.plexus.archiver.jar.JarArchiver archiver, org.apache.maven.project.MavenProject project, File destFile, Manifest manifest)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArtifacts(Map<String,File> globalContentsMap, String prefix)`
`void` `addDirectory(File directory)`
`void` `addDirectory(File directory, String prefix)`
`void` `addDirectory(File directory, String[] includes, String[] excludes)`
`void` `addDirectory(File directory, String prefix, String[] includes, String[] excludes)`
`void` `addFile(File inputFile, String destFileName)`
`void` `addFile(File arg0, String arg1, int arg2)`
`void` `createArchive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JarArchiverHelper

    public JarArchiverHelper(org.codehaus.plexus.archiver.jar.JarArchiver archiver,
                             org.apache.maven.project.MavenProject project,
                             File destFile)
                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### JarArchiverHelper

    public JarArchiverHelper(org.codehaus.plexus.archiver.jar.JarArchiver archiver,
                             org.apache.maven.project.MavenProject project,
                             File destFile,
                             Manifest manifest)
                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

### Method Detail

#### addDirectory

    public void addDirectory(File directory,
                             String prefix,
                             String[] includes,
                             String[] excludes)
                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### addDirectory

    public void addDirectory(File directory,
                             String prefix)
                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### addDirectory

    public void addDirectory(File directory,
                             String[] includes,
                             String[] excludes)
                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### addDirectory

    public void addDirectory(File directory)
                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### addFile

    public void addFile(File arg0,
                        String arg1,
                        int arg2)
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### addFile

    public void addFile(File inputFile,
                        String destFileName)
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### createArchive

    public void createArchive()
                       throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

#### addArtifacts

    public void addArtifacts(Map<String,File> globalContentsMap,
                             String prefix)
                      throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`